
QGIS Application - Bug report #16293

gdalwarp issues with the "te" parameter

2017-03-06 04:37 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 24203

Description

2017-03-03T12:59:32    0    gdalwarp -ot Float32 -s_srs EPSG:4326 -t_srs

EPSG:3857 -r near -of GTiff -te 18.6662979442 45.7767014376

18.7035979442 45.8117014376

/home/matteo/lavori/QGIS/QGIS/python/plugins/processing/tests/testdata/dem.tif

/tmp/processingb0fbced9ffc24643bc6020cbcf8125d2/836d0c9fe610490a8c4e09460257ed77/OUTPUT.tif

2017-03-03T12:59:32    0    GDAL execution console output

            ERROR 1: Attempt to create 0x0 dataset is illegal,sizes must be

larger than zero.

if you remove the "te" parameter it works as expected.

Related issues:

Duplicates QGIS Application - Bug report # 15339: Warp tool requires CRS of e... Closed 2016-07-25

History

#1 - 2017-03-06 04:44 AM - Giovanni Manghi

Seen here on wgs84 maps.

#2 - 2017-03-06 04:45 AM - Giovanni Manghi

also seen this, but probably not related

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

self.processAlgorithm(progress)

File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalAlgorithm.py", line 52, in processAlgorithm

commands = self.getConsoleCommands()

File "/usr/share/qgis/python/plugins/processing/algs/gdal/warp.py", line 206, in getConsoleCommands

return ['gdalwarp', GdalUtils.escapeAndJoin(arguments)]

File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalUtils.py", line 178, in escapeAndJoin
if s

0

 != '-' and ' ' in s:

IndexError: string index out of range

2017-02-20T21:40:37 2 Uncaught error while executing algorithm

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

self.processAlgorithm(progress)

File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalAlgorithm.py", line 52, in processAlgorithm

commands = self.getConsoleCommands()

File "/usr/share/qgis/python/plugins/processing/algs/gdal/warp.py", line 206, in getConsoleCommands

return ['gdalwarp', GdalUtils.escapeAndJoin(arguments)]

File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalUtils.py", line 178, in escapeAndJoin

if s

0

 != '-' and ' ' in s:

IndexError: string index out of range

2017-02-20T21:40:52 2 Uncaught error while executing algorithm

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

self.processAlgorithm(progress)

File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalAlgorithm.py", line 52, in processAlgorithm

commands = self.getConsoleCommands()

File "/usr/share/qgis/python/plugins/processing/algs/gdal/warp.py", line 206, in getConsoleCommands

return ['gdalwarp', GdalUtils.escapeAndJoin(arguments)]

File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalUtils.py", line 178, in escapeAndJoin

if s

0

 != '-' and ' ' in s:

IndexError: string index out of range

#3 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#4 - 2017-04-30 05:08 PM - Giovanni Manghi
#fn0
#fn0
#fn0


- Priority changed from Severe/Regression to High

#5 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-05-03 09:33 AM - Alexander Bruy

- Description updated

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicates #15339

#7 - 2017-05-03 09:33 AM - Alexander Bruy

- Duplicates Bug report #15339: Warp tool requires CRS of extent when no extent set added
